Subject: [bug#78457] [PATCH] gnu: linux-libre: Do not build the SND_PCSP driver.

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 17 May 2025 00:17:57 +0900

Hi,

Maxim Cournoyer <[email-masked]> writes:

> This snd-pcsp driver apparently attempts to load the pcspkr driver even when
> it's already been loaded, causing the infamous kernel error message:
>
>   Error: Driver 'pcspkr' is already registered, aborting...
>
> This change fixes it by simply not building the snd-pcsp driver, which usage
> is to try to play audio via the low quality builtin speaker/beeper hardware.
> It was automated via the command:
>
>   git grep -l 'CONFIG_SND_PCSP=m' |
>   xargs sed -i 's/CONFIG_SND_PCSP=m/# CONFIG_SND_PCSP is not set/'
>
> Change-Id: Ide4b73be107d170a6db6be69b7a6bcd7b8036dcb

I'm CC'ing the kernel team manually, as the configuration files were not
in its scope (now fixed in teams.scm).

-- 
Thanks,
Maxim